package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.saas.base.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 人名职务对象 trs_name_words
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public class TrsNameWordsTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 人名 */
    @Excel(name = "人名")
    private String wrongWord;

    /** 国家 */
    @Excel(name = "国家")
    private String country;

    /** 职务全称 */
    @Excel(name = "职务全称")
    private String dutyAll;

    /** 职务简称 */
    @Excel(name = "职务简称")
    private String dutyShort;

    /** 顺序 */
    @Excel(name = "顺序")
    private String sort;

    /** 词典类型 */
    private String dictType;

    /** 是否包含 */
    private Integer flag;

    @Excel(name = "参考依据")
    private String accord;
    @Excel(name = "来源")
    private String source;
    @Excel(name = "链接")
    private String linkurl;
    public String getAccord() {
        return accord;
    }

    public void setAccord(String accord) {
        this.accord = accord;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getLinkurl() {
        return linkurl;
    }

    public void setLinkurl(String linkurl) {
        this.linkurl = linkurl;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getEffectstart() {
        return effectstart;
    }

    public void setEffectstart(Date effectstart) {
        this.effectstart = effectstart;
    }

    public Date getEffectend() {
        return effectend;
    }

    public void setEffectend(Date effectend) {
        this.effectend = effectend;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生效开始时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectstart;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生效结束时间(yyyy-MM-dd)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectend;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /*@Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")*/
    private Date time;

    private String status;
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setWrongWord(String wrongWord) 
    {
        this.wrongWord = wrongWord;
    }

    public String getWrongWord() 
    {
        return wrongWord;
    }

    public void setCountry(String country) 
    {
        this.country = country;
    }

    public String getCountry() 
    {
        return country;
    }

    public void setDutyAll(String dutyAll) 
    {
        this.dutyAll = dutyAll;
    }

    public String getDutyAll() 
    {
        return dutyAll;
    }

    public void setDutyShort(String dutyShort) 
    {
        this.dutyShort = dutyShort;
    }

    public String getDutyShort() 
    {
        return dutyShort;
    }

    public void setSort(String sort) 
    {
        this.sort = sort;
    }

    public String getSort() 
    {
        return sort;
    }

    public void setDictType(String dictType) 
    {
        this.dictType = dictType;
    }

    public String getDictType() 
    {
        return dictType;
    }

    public void setFlag(Integer flag) 
    {
        this.flag = flag;
    }

    public Integer getFlag() 
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("wrongWord", getWrongWord())
            .append("country", getCountry())
            .append("dutyAll", getDutyAll())
            .append("dutyShort", getDutyShort())
            .append("sort", getSort())
            .append("dictType", getDictType())
            .append("flag", getFlag())
            .toString();
    }
}
